%global gitdate 20221116
%global commit 0e2f248dbedaaadeadf76c3b369a45a669c8983b
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eos-event-recorder-daemon
Version:        0.0.0^%{gitdate}git%{shortcommit}
Release:        4%{?dist}
Summary:        Saves recorded user metrics and transmits them in small batches when there's an internet connection

License:        GPL-2.0-or-later
URL:            https://github.com/endlessm/eos-event-recorder-daemon/
Source0:        https://github.com/endlessm/eos-event-recorder-daemon/archive/%{commit}/%{name}-%{commit}.tar.gz
Source1:        eos-event-recorder-daemon.conf

Patch:          0001-daemon-Avoid-criticals-on-non-EOS-where-image-versio.patch

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(eosmetrics-0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(ostree-1)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  python3-dbus
BuildRequires:  python3-dbusmock
BuildRequires:  systemd-rpm-macros

%description
Saves recorded user metrics and transmits them in small batches when there's an internet connection.


%package        tools
Summary:        Extra tools for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tools
The %{name}-tools package contains extra tools that may be useful when
working with %{name}.


%prep
%autosetup -p1 -n %{name}-%{commit}


%build
%meson -Ddefault_metrics_server=metrics.innerfocus.xyz
%meson_build


%install
%meson_install
install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/eos-event-recorder-daemon.conf
rm %{buildroot}%{_libexecdir}/eos-metrics-collector.exe


%pre
%sysusers_create_compat %{SOURCE1}


%files
%license COPYING*
%doc README.md
%{_datadir}/dbus-1/system-services/com.endlessm.Metrics.service
%{_datadir}/dbus-1/system.d/com.endlessm.Metrics.conf
%{_datadir}/polkit-1/actions/com.endlessm.Metrics.policy
%{_libexecdir}/eos-metrics-event-recorder
%{_unitdir}/eos-metrics-event-recorder.service
%{_tmpfilesdir}/eos-metrics.conf
%config(noreplace) %{_sysconfdir}/metrics/cache-size.conf
%config(noreplace) %{_sysconfdir}/metrics/eos-metrics-permissions.conf
%{_sysusersdir}/eos-event-recorder-daemon.conf

%files tools
%{_bindir}/eos-enable-metrics-uploading
%{_bindir}/eos-select-metrics-env
%{_bindir}/eos-upload-metrics


%changelog
* Fri Mar 24 2023 Michael Catanzaro <mcatanzaro@redhat.com> - 0.0.0^20221116git0e2f248-4 
- Mark config files with config(noreplace) to avoid overwriting on reinstallation

* Wed Mar 22 2023 Kalev Lember <klember@redhat.com> - 0.0.0^20221116git0e2f248-3
- daemon: Fall back to "unknown" if we don't have the image version information

* Wed Mar 22 2023 Kalev Lember <klember@redhat.com> - 0.0.0^20221116git0e2f248-2
- daemon: Avoid criticals on non-EOS where image version isn't set

* Wed Mar 22 2023 Kalev Lember <klember@redhat.com> - 0.0.0^20221116git0e2f248-1
- Update to latest git snapshot

* Tue Nov 01 2022 Kalev Lember <klember@redhat.com> - 0.0.0^20221026gitab67c93-1
- Update to latest git snapshot

* Tue Nov 01 2022 Kalev Lember <klember@redhat.com> - 0.0.0^20220704gitcce0656-3
- Add macros to simplify git snapshot creation

* Mon Oct 31 2022 Michael Catanzaro <mcatanzaro@redhat.com> - 0.0.0^20220704gitcce0656-2
- Fix default server port number
- Add sysusers snippet

* Tue Oct 11 2022 Michael Catanzaro <mcatanzaro@redhat.com> - 0.0.0^20220704gitcce0656-1
- Initial Fedora packaging
